Bug 203055 - postfix tls_session_cache_database supported format changed
postfix tls_session_cache_database supported format changed
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: postfix (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: Regression
Depends On:
  Show dependency treegraph
Reported: 2006-08-17 22:45 EDT by Daniel Riek
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-06 12:27:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2006-08-17 22:45:17 EDT
After installing postfix-2.2.10-1.RHEL4.2:2.i386 from U4 smtpd with tls support
stopped working. The update re-bases postfix from 2.1.5 to 2.2.10.

The maillog contained:

Aug 18 01:50:46 talyn postfix/tlsmgr[9152]: fatal: unsupported dictionary type: sdbm
Aug 18 01:50:47 talyn postfix/master[3570]: warning: process
/usr/libexec/postfix/tlsmgr pid 9152 exit status 1
Aug 18 01:50:47 talyn postfix/master[3570]: warning:
/usr/libexec/postfix/tlsmgr: bad command startup -- throttling

It seems that the format of the session cache changed. Previous to the update
sdbm was supported (as the only format according to the comments in the default
config file). In the new package version sdbm is not supported anymore. btree
works instead.

This change has the potential to disrupt customer production as the previously
working configuration suddently fails to work.

It is related to bug #202357 but in difference to it seems to be not fixed by
postfix upgrade-configuration.
Comment 1 Thomas Woerner 2006-08-31 05:58:04 EDT
It is right, you have to use btree instead of sdbm with postfix-2.2+ for

Note You need to log in before you can comment on or make changes to this bug.